Extending Qt Creator Manual | IFunctionHintProposalModel

Extending Qt Creator Manual 4.3.0

# IFunctionHintProposalModel Class

(TextEditor::IFunctionHintProposalModel)

Inherits: | TextEditor::IAssistProposalModel

- List of all members, including inherited members

## Public Functions

| IFunctionHintProposalModel()
| ~IFunctionHintProposalModel()
virtual int | activeArgument(const QString &prefix) const = 0

- 3 public functions inherited from TextEditor::IAssistProposalModel

## Member Function Documentation

### IFunctionHintProposalModel::IFunctionHintProposalModel()

Default constructs an instance of IFunctionHintProposalModel.

### IFunctionHintProposalModel::~IFunctionHintProposalModel()

Destroys the instance of IFunctionHintProposalModel.

### `[pure virtual]` int IFunctionHintProposalModel::activeArgument(const QString &prefix) const